ZAWAY(1)

NAME
zaway - tell other people via Zephyr that you aren't around

SYNOPSIS
zaway [ OPTIONS ] [ FILE ]

DESCRIPTION
zaway provides a way for you to automatically send replies when other people contact you using zwrite(1). zaway subscribes itself to class "MESSAGE", instance "*", so that it can monitor your incoming messages. It does not affect the operation of any other client receiving messages. zaway is typically run when you are leaving your terminal or display temporarily. zaway usually never exits; when you return to your terminal you should type the interrupt character (usually ^C) in order to make zaway exit.

  OPTIONS

-m STRING
    Use STRING as the body of the auto-reply message. Any message file (specified on the command line or the default) is ignored.

-w  Watch the invoking user's location status. If the user is locatable anywhere, no auto-replies will be sent.

-h  Displays a short usage message and exits.

zaway uses a message file (which defaults to $HOME/.away) to describe what reponses should be sent to which senders. The general format of this file is:

	>name
	>name
	message
	>name
	message

Any number of user names may be specified preceding the message to send to those senders. If a user name appears more than once, the message will be a concatenation of each of the appropriate messages. There are two special names: "*" indicates that the following message should be sent to all senders and "%" indicates that the following message should only be sent if the user name has not matched yet.

If no file is specified, and no default file can be found, the following message is returned:

I'm sorry, but I am currently away from the terminal and am not able to receive your message.

If a user name does not match any of those listed in the file, and no "*" or "%" field is specified, no return message is sent. All messages are preceded by a signature "Automated reply:". To avoid loops, messages are not sent in response to messages beginning with an "Automated reply:" signature or sent by the same Kerberos principal as the user running zaway.

SAMPLE FILE
>eichin
>tony
Hi there guys!  I'm in the other room right now.
I'll be back in 5 minutes or so.
>jruser
Sorry, but I'm gone for the day...
>%
Hello...I'm not sure who you are.  I'll be back soon,
though.
>*
This message comes to you compliments of zaway!

The final "compliments" message will be included in all messages, whereas the "I'm not sure" message will only be included in messages that are not from "eichin", "tony", or "jruser".

FILES
$HOME/.away

SEE ALSO
zephyr(1), zwgc(1), zwrite(1), zhm(8), zephyrd(8)
Project Athena Technical Plan Section E.4.1, `Zephyr Notification Service'

AUTHOR

Robert S. French (MIT-Project Athena)

RESTRICTIONS
Copyright (c) 1987,1988 by the Massachusetts Institute of Technology. All Rights Reserved.
zephyr(1) specifies the terms and conditions for redistribution.